### File

`packages/eui-mobile/packages/core/src/lib/components/layout/euim-header-details/euim-header-details.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : color
selector | `euim-header-details`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-header-details.component.html`

### Index

###### Properties
Public baseStatesDirective
###### Methods
getCssClasses
###### Inputs
hasBorderBottom
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(baseStatesDirective: BaseStatesDirective)`
Parameters :
Name | Type | Optional
baseStatesDirective | `BaseStatesDirective` | No

### Inputs

hasBorderBottom
Type : `BooleanInput`
Default value : `true`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""